AM263Px MCU+ SDK: sdl_exception.h File Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Structures | Typedefs | Functions
sdl_exception.h File Reference

## Introduction

Header file contains enumerations, structure definitions and function declarations for SDL EXCEPTION interface.

The SDL exception data structures include:

1. Structure of call back functions for various exception events

The SDL exception APIs include:

1. API to execute SDL Exception module initialization
2. APIs to handle various exceptions

Go to the source code of this file.

## Data Structures
struct | SDL_EXCEPTION_CallbackFunctions_t
| Structure of call back functions for various exception events. More...

## Typedefs
typedef void(* | SDL_EXCEPTION_ECCCallback_t) (uint32_t intSource, uint32_t errorAddr, uint32_t ramId, uint64_t bitErrorOffset, uint32_t bitErrorGroup)
| Format of Call back function for ECC error events. More...
typedef void(* | SDL_EXCEPTION_Callback_t) (void)
| Format of Call back function for exception. More...

## Functions
void | SDL_EXCEPTION_init (const SDL_EXCEPTION_CallbackFunctions_t *callbackFunctions)
| Initialise Exception module. More...
void | SDL_EXCEPTION_registerECCHandler (SDL_EXCEPTION_ECCCallback_t ECCCallBackFunctionPtr)
| Function to register ECC exception handler. More...
void | SDL_EXCEPTION_undefInstructionExptnHandler (void *param)
| Undefined Instruction Exception Handler. More...
void | SDL_EXCEPTION_swIntrExptnHandler (void *param)
| SW Interrupt Exception Handler. More...
void | SDL_EXCEPTION_prefetchAbortExptnHandler (void *param)
| Prefetch Abort Exception Handler. More...
void | SDL_EXCEPTION_dataAbortExptnHandler (void *param)
| Data Abort Exception Handler. More...
void | SDL_EXCEPTION_irqExptnHandler (void *param)
| IRQ Exception Handler. More...
void | SDL_EXCEPTION_fiqExptnHandler (void *param)
| FIQ Exception Handler. More...

## Typedef Documentation

## ◆ SDL_EXCEPTION_ECCCallback_t

typedef void(* SDL_EXCEPTION_ECCCallback_t) (uint32_t intSource, uint32_t errorAddr, uint32_t ramId, uint64_t bitErrorOffset, uint32_t bitErrorGroup)

Format of Call back function for ECC error events.

## ◆ SDL_EXCEPTION_Callback_t

typedef void(* SDL_EXCEPTION_Callback_t) (void)

Format of Call back function for exception.

## Function Documentation

## ◆ SDL_EXCEPTION_init()

void SDL_EXCEPTION_init | ( | const SDL_EXCEPTION_CallbackFunctions_t * | callbackFunctions | ) |

Initialise Exception module.

============================================================================

Parameters

  callbackFunctions | Pointer to callback Functions structure

## ◆ SDL_EXCEPTION_registerECCHandler()

void SDL_EXCEPTION_registerECCHandler | ( | SDL_EXCEPTION_ECCCallback_t | ECCCallBackFunctionPtr | ) |

Function to register ECC exception handler.

============================================================================

Parameters

  ECCCallBackFunctionPtr | callback function to register

## ◆ SDL_EXCEPTION_undefInstructionExptnHandler()

void SDL_EXCEPTION_undefInstructionExptnHandler | ( | void * | param | ) |

Undefined Instruction Exception Handler.

============================================================================

Parameters

  param | Parameter pointer

## ◆ SDL_EXCEPTION_swIntrExptnHandler()

void SDL_EXCEPTION_swIntrExptnHandler | ( | void * | param | ) |

SW Interrupt Exception Handler.

============================================================================

Parameters

  param | Parameter pointer

## ◆ SDL_EXCEPTION_prefetchAbortExptnHandler()

void SDL_EXCEPTION_prefetchAbortExptnHandler | ( | void * | param | ) |

Prefetch Abort Exception Handler.

============================================================================

Parameters

  param | Parameter pointer

## ◆ SDL_EXCEPTION_dataAbortExptnHandler()

void SDL_EXCEPTION_dataAbortExptnHandler | ( | void * | param | ) |

Data Abort Exception Handler.

============================================================================

Parameters

  param | Parameter pointer

## ◆ SDL_EXCEPTION_irqExptnHandler()

void SDL_EXCEPTION_irqExptnHandler | ( | void * | param | ) |

IRQ Exception Handler.

============================================================================

Parameters

  param | Parameter pointer

## ◆ SDL_EXCEPTION_fiqExptnHandler()

void SDL_EXCEPTION_fiqExptnHandler | ( | void * | param | ) |

FIQ Exception Handler.

============================================================================

Parameters

  param | Parameter pointer